

/*
 *  Copyright 2020-2024 Yuntu Microelectronics co.,ltd
 *  All rights reserved.
 * 
 *  YUNTU Confidential. This software is owned or controlled by YUNTU and may only be
 *  used strictly in accordance with the applicable license terms. By expressly
 *  accepting such terms or by downloading, installing, activating and/or otherwise
 *  using the software, you are agreeing that you have read, and that you agree to
 *  comply with and are bound by, such license terms. If you do not agree to be
 *  bound by the applicable license terms, then you may not retain, install,
 *  activate or otherwise use the software. The production use license in
 *  Section 2.3 is expressly granted for this software.
 * 
 * @file vector.S
 * @brief 
 * 
 */

    

    SECTION .isr_vector:DATA:ROOT(2)
    EXTERN DefaultISR
    EXTERN STACK_end   /* Top of Stack for Initial Stack Pointer */
    EXTERN Reset_Handler             /* Reset Handler */
    EXTERN   NMI_Handler
    EXTERN   HardFault_Handler
    EXTERN   SVC_Handler
    EXTERN   PendSV_Handler
    EXTERN   SysTick_Handler
    EXTERN   DMA0_IRQHandler
    EXTERN   DMA1_IRQHandler
    EXTERN   DMA2_IRQHandler
    EXTERN   DMA3_IRQHandler
    EXTERN   DMA_Error_IRQHandler
    EXTERN   EMU0_IRQHandler
    EXTERN   RTC_IRQHandler
    EXTERN   SPI2_IRQHandler
    EXTERN   lpTMR0_IRQHandler
    EXTERN   GPIO_IRQHandler
    EXTERN   CAN0_ORed_Err_Wakeup_IRQHandler
    EXTERN   CAN0_ORed_0_15_MB_IRQHandler
    EXTERN   eTMR0_CH_0_7_IRQHandler
    EXTERN   eTMR0_Fault_IRQHandler
    EXTERN   eTMR0_Ovf_IRQHandler
    EXTERN   eTMR1_IRQHandler
    EXTERN   eTMR2_IRQHandler
    EXTERN   CAN0_ORed_16_31_MB_IRQHandler
    EXTERN   EFM_IRQHandler
    EXTERN   pTMR0_IRQHandler
    EXTERN   PCU_CMU_IRQHandler
    EXTERN   WDG0_IRQHandler
    EXTERN   UART2_IRQHandler
    EXTERN   I2C0_IRQHandler
    EXTERN   I2C1_IRQHandler
    EXTERN   SPI0_IRQHandler
    EXTERN   SPI1_IRQHandler
    EXTERN   ADC0_IRQHandler
    EXTERN   ACMP0_IRQHandler
    EXTERN   UART1_IRQHandler
    EXTERN   UART0_IRQHandler
__vector_table
    DCD STACK_end   /* Top of Stack for Initial Stack Pointer */
    DCD Reset_Handler             /* Reset Handler */
    DCD NMI_Handler
    DCD HardFault_Handler
    DCD DefaultISR
    DCD DefaultISR
    DCD DefaultISR
    DCD DefaultISR
    DCD DefaultISR
    DCD DefaultISR
    DCD DefaultISR
    DCD SVC_Handler
    DCD DefaultISR
    DCD DefaultISR
    DCD PendSV_Handler
    DCD SysTick_Handler
    DCD DMA0_IRQHandler
    DCD DMA1_IRQHandler
    DCD DMA2_IRQHandler
    DCD DMA3_IRQHandler
    DCD DMA_Error_IRQHandler
    DCD EMU0_IRQHandler
    DCD RTC_IRQHandler
    DCD SPI2_IRQHandler
    DCD lpTMR0_IRQHandler
    DCD GPIO_IRQHandler
    DCD CAN0_ORed_Err_Wakeup_IRQHandler
    DCD CAN0_ORed_0_15_MB_IRQHandler
    DCD eTMR0_CH_0_7_IRQHandler
    DCD eTMR0_Fault_IRQHandler
    DCD eTMR0_Ovf_IRQHandler
    DCD eTMR1_IRQHandler
    DCD eTMR2_IRQHandler
    DCD CAN0_ORed_16_31_MB_IRQHandler
    DCD EFM_IRQHandler
    DCD DefaultISR
    DCD pTMR0_IRQHandler
    DCD PCU_CMU_IRQHandler
    DCD WDG0_IRQHandler
    DCD UART2_IRQHandler
    DCD I2C0_IRQHandler
    DCD I2C1_IRQHandler
    DCD SPI0_IRQHandler
    DCD SPI1_IRQHandler
    DCD ADC0_IRQHandler
    DCD ACMP0_IRQHandler
    DCD UART1_IRQHandler
    DCD UART0_IRQHandler
    END
